Message: Re: OPENGL_INCLUDE_DIR error during install Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: OPENGL_INCLUDE_DIR error during install 

Forum: Installation and Configuration
Re: Question OPENGL_INCLUDE_DIR error during install (MYTHRA VARUN NEMALLAPUDI)
Re: None Re: OPENGL_INCLUDE_DIR error during install (John Allison)
Re: None Re: OPENGL_INCLUDE_DIR error during install (MYTHRA VARUN NEMALLAPUDI)
Date: 24 Jan, 2014
From: John Allison <John Allison>

On Fri, 24 Jan 2014 17:57:45 GMT, MYTHRA VARUN NEMALLAPUDI wrote:
> I am using a Mac OSX-Mavericks. The software X11 is installed in the
> system.
> 
> Rest of the libraries for OpenGL are in the source directory of Geant4 -
> geant4.10.00/source/visualization/OpenGL> 

You misunderstand. By OpenGL libraries I mean the libraries that implement the OpenGL standard and are usually supplied by the manufacturer. The ones in source/visualization/OpenGL embody code that merely *uses* the OpenGL libraries.

X11 is a windows system independent of OpenGL but may be used by OpenGL. If you specify OPENGLX, that is what is supposed to happen.

I am not familiar with Mavericks. It is a new system and is not currently on our list of supported platforms. However, I do know that some people have got Geant4 with OpenGL graphics working on Mavericks and I trust they will pick up this forum thread.

Sorry not to be more helpful.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Idea: Re: OPENGL_INCLUDE_DIR error during install   (Sam Blake - 09 Feb, 2014)
1 None: Re: OPENGL_INCLUDE_DIR error during install   (MYTHRA VARUN NEMALLAPUDI - 09 Feb, 2014)
1 Ok: Re: OPENGL_INCLUDE_DIR error during install   (Sam Blake - 09 Feb, 2014)
2 None: Re: OPENGL_INCLUDE_DIR error during install   (Pete Wu - 09 Feb, 2014)
1 None: Re: OPENGL_INCLUDE_DIR error during install   (Sam Blake - 09 Feb, 2014)
... 2 Message(s)
 Add Message Add Message
to: "Re: OPENGL_INCLUDE_DIR error during install"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]